Endpoint Examples

/profiles/profiles/{profile_id}

Get a single profile by its unique profile ID.

GET /profiles/profiles/{profile_id}

Retrieve a single profile by its unique profile ID. Returns 404 if the profile is not found.

Path Parameters

NameTypeDescription
profile_idstringThe unique identifier of the profile to retrieve.
Example: 78108545-e39c-39d4-af8f-5d0d6d238e06

Code Examples

curl --request GET \
  --url https://api.lightcast.io/profiles/profiles/{profile_id} \
  --header 'Authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": {
    "acquired_timestamp": "2020-01-01",
    "city": "U2FuIEZyYW5jaXNjbw==",
    "city_name": "San Francisco, CA",
    "company": "123456789",
    "company_name": "Acme Corporation",
    "country": "US",
    "county": 6075,
    "county_name": "San Francisco",
    "laa_country": "US",
    "laa_country_name": "United States",
    "laa_admin_area_1": "US_WEST",
    "laa_admin_area_1_name": "US West",
    "laa_admin_area_2": "US_CA_SF",
    "laa_admin_area_2_name": "San Francisco County",
    "laa_metro": "US_SF",
    "laa_metro_name": "San Francisco Metro",
    "educations": [
      {
        "cip6_name": null,
        "level_name": null,
        "field_raw": null,
        "grad_year": null,
        "level_raw": null,
        "school_id": "53bff579e4b04710d09fbd9c",
        "school_name": "Stanford University",
        "school_raw": "stanford university"
      },
      {
        "cip6_name": null,
        "level_name": null,
        "field_raw": "computer science",
        "grad_year": null,
        "level_raw": "bachelor",
        "school_id": "53bff579e4b04710d09fdac8",
        "school_name": "University of California, Berkeley",
        "school_raw": "university of california berkeley"
      }
    ],
    "estimated_wage_p50": 125000,
    "id": "1111111111111",
    "last_updated": "2024-01-01",
    "lot_career_area": "33",
    "lot_career_area_name": "Science and Research",
    "lot_occupation": "331312",
    "lot_occupation_group": "3313",
    "lot_occupation_group_name": "General Research",
    "lot_occupation_name": "Researcher / Research Associate",
    "lot_specialized_occupation": "33131215",
    "lot_specialized_occupation_name": "Research Associate (General)",
    "msa": 41860,
    "msa_name": "San Francisco-Oakland-Hayward, CA",
    "naics6": "541511",
    "naics6_name": "Custom Computer Programming Services",
    "onet": "15-1132.00",
    "onet_name": "Software Developers, Applications",
    "skills": [
      "KS440MC61Q7HPDQR5YHT",
      "KS127Z65Y2BBKJZ3W2HL",
      "KS1200365FTR9X0M96T9",
      "KS127ZG6DBSF76WF7VYX",
      "KS121YX5XHV5QPYV2TXL",
      "KS1200H6XYN1CR0G5NZ0",
      "KS1261G6FLXL70JW7G42",
      "KS441626TDSV2J6GBB86",
      "KS1254Q675CFWDY8PR54",
      "KS120BV6SR75RBKQH0G3",
      "KS126HY6YLTB9R7XJC4Z",
      "KS125ZB6BWF5RY40BH1B",
      "KS122556LMQ829GZCCRV",
      "KS1282N6NQMZ95M1HJ7L",
      "KS123NJ76GJLK91JS75M",
      "KS1267F6MSPN366LX7ST"
    ],
    "skills_name": [
      "JavaScript",
      "Python",
      "React",
      "Node.js",
      "SQL",
      "Git",
      "Docker",
      "AWS",
      "RESTful APIs",
      "Agile Methodology",
      "Test-Driven Development",
      "Code Review",
      "Microservices",
      "CI/CD",
      "MongoDB",
      "TypeScript"
    ],
    "state": 6,
    "state_name": "California",
    "title": "ETCCFF59C12964DA3C",
    "title_name": "Software Developers",
    "title_raw": "Senior Software Developer",
    "personal_info": {
      "emails": [
        "[email protected]"
      ],
      "employment_history": [
        {
          "company_name_raw": "acme corporation",
          "description": null,
          "job_end_ym": null,
          "job_start_ym": "2020-01",
          "title_raw": "Senior Software Developer"
        },
        {
          "company_name_raw": "tech solutions inc",
          "description": "Developed and maintained web applications using modern frameworks.",
          "job_end_ym": "2020-01",
          "job_start_ym": "2018-01",
          "title_raw": "Software Developer"
        }
      ],
      "job_description": "",
      "name": "John Doe",
      "first_name": "John",
      "last_name": "Doe",
      "names": [
        "John Doe"
      ],
      "phones": [
        "+1 415-555-1234"
      ],
      "profile_urls": [],
      "title_raw": "Senior Software Developer"
    }
  }
}
//Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
//Profile not found.

{
  "errors": [
    {
      "status": 404,
      "title": "URL not found",
      "detail": "Unrecognized facet 'foo'"
    }
  ]
}